Creates a new task_activity_log
Request Information
URI Parameters :
None.
Body Parameters :
task_activity_log| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| task_id |
Task id |
globally unique identifier |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task_reference_back_office |
Embedded code "task" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task |
Embedded entity "task" using node when adding/updating task_activity_log |
task |
Optionally required : task_id, task_reference_back_office or task must be provided |
| task_activity_id |
task_activity_id |
globally unique identifier |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| task_activity_reference_back_office |
Embedded code "task_activity" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| task_activity |
Embedded entity "task_activity" using node when adding/updating task_activity_log |
task_activity |
Optionally required : task_activity_id, task_activity_reference_back_office or task_activity must be provided |
| user_id |
user_id |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded code "user" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating task_activity_log |
user |
Optionally required : user_id, user_code or user must be provided |
| contact_id |
contact_id |
globally unique identifier |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| contact_reference_back_office |
Embedded code "contact" using ERP PK when adding/updating task_activity_log |
string |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| contact |
Embedded entity "contact" using node when adding/updating task_activity_log |
contact |
Optionally required : contact_id, contact_reference_back_office or contact must be provided |
| subject |
Saubject |
string |
Max length: 64 |
| description |
Description |
string | |
| due_date |
Date+Time of the due date |
date |
Required |
| is_closed |
is_closed |
boolean | |
| date_closed |
Date+Time of the date_closed |
date |
Required |
| reference_back_office |
reference_back_office of task_activity_log |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "b707b76f-ed8d-46b9-8b9e-17d06da73bc0",
"task_id": "4f84af2e-9bfc-4c31-ae93-b1ba500b64c2",
"task_reference_back_office": "sample string 3",
"task_activity_id": "2c392048-8726-4e76-957c-3780577f1e8d",
"task_activity_reference_back_office": "sample string 5",
"user_id": "b30ec7a5-20ca-4ae5-830f-a785ea929e8a",
"user_code": "sample string 7",
"contact_id": "53e5d5e9-9b46-4ddc-acbb-edca7b88b66d",
"contact_reference_back_office": "sample string 9",
"subject": "sample string 10",
"description": "sample string 11",
"due_date": "2026-10-10T15:58:49.8869855+00:00",
"is_closed": true,
"date_closed": "2026-10-10T15:58:49.8869855+00:00",
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-10-10T15:58:49.8869855+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.